<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
//konec opr. html
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

error_reporting(0);


//$ver = $_GET['ver'];

include 'config.php';
include 'includes/constants/index';
include 'includes/'.$ver.'/banned';
$ttl = 'Чат на '.$_SERVER['SERVER_NAME'].'!';
$nocache = mt_rand(1000, 9999);


switch($ver)
{
case 'wml':
///////////////////////////////////////////////////////
//WML VERSION
///////////////////////////////////////////////////////

header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

$chat = file("system/chat.dat");
$logo = trim($chat[0]);
$message = trim($chat[1]);
$chatik = file("system/reklama.dat");
$rekla = trim($chatik[0]);
$nadpis = trim($chatik[1]);
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);

$q = mysql_query("SELECT COUNT(`id`) FROM `chat_users` WHERE `time` >= ".time().";");
$online = mysql_result($q, 0);

$q = mysql_query("SELECT COUNT(`id`) FROM `chat_users`;");
$users = mysql_result($q, 0);
//Today man and women
$qm = mysql_query("SELECT COUNT(`id`) FROM `chat_users` WHERE `regdate` = '".date('d-m-Y')."' AND `sex` = 0;");
$man = mysql_result($qm, 0);
$qw = mysql_query("SELECT COUNT(`id`) FROM `chat_users` WHERE `regdate` = '".date('d-m-Y')."' AND `sex` = 1;");
$women = mysql_result($qw, 0);


echo '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.3//EN" "http://www.wapforum.org/DTD/wml13.dtd">
<wml>
<head>
<meta http-equiv="Cache-Control" content="no-cache" forua="true"/>
</head>
<card id="index" title="'.$ttl.'">
<p align="center">';

if($rekla && $nadpis){
	echo '<a href="http://'.$rekla.'">'.$nadpis.'</a><br/>';
}

echo '<fieldset>';
if(!empty($logo)) echo '<img src="'.$logo.'" alt="" />';
if(!empty($message)) echo $message;

echo '</fieldset><fieldset>';


    if($_GET['act']==1)
    {
print '<b>Внимание!</b><br/>
В Вашем браузере выключенна передача Cookies (далее Куки), для пользования данным чатом куки в браузере долны быть включенны!<br/>
Чтоб их включить зайдите в настройку браузера и выбирете пункт личные данные (есле нету такого пункта то данное меню в другом пункте), в этом пункте есть вкл/выкл Cookies.<br/>
<small>Удачного Вам дня!</small><br/>';
     if ($_COOKIE)
     {
     header('Location: /wml',true,301);
     }
    }
    elseif(!$_COOKIE)
    {
    setcookie('CHAT', 1, time() + 3600 * 12 * 30, '/', '', 0);
    header('Location: /cookies.php?ver=wml');
    }

echo "wml|<a href=\"/html\">html</a><br/>\n";
echo 'В чате <a href="/kto/wml">'.$online.'</a> человек<br/>';
echo "Ник или ID:<br/>\n";
echo "<input type=\"text\" name=\"nickname$nocache\" maxlength=\"15\"/><br/>\n";
echo "Транслитировать:<br/>\n";
echo "<select name=\"translit$nocache\">\n";
echo "<option value=\"false\">Нет</option>\n";
echo "<option value=\"true\">Да</option>\n";
echo "</select><br/>\n";
echo "Пароль:<br/>\n";
echo "<input type=\"password\" name=\"password$nocache\" maxlength=\"20\"/><br/>\n";
echo "<anchor>Войти<go href=\"/menu/wml/$nocache\" method=\"post\">\n";
echo "<postfield name=\"nickname\" value=\"$(nickname$nocache)\"/>\n";
echo "<postfield name=\"translit\" value=\"$(translit$nocache)\"/>\n";
echo "<postfield name=\"password\" value=\"$(password$nocache)\"/>\n";
echo "<postfield name=\"action\" value=\"auth\"/>\n";
echo "</go></anchor><br/>\n";
echo'<a href="/rules/wml">Правила чата </a><br/>';
echo "<a href=\"/rules/wml/registration\">Регистрация</a><br/>\n";
echo"</fieldset>";
echo"<fieldset>";
echo REG_USERS.": ".$users."<br/>\n";
echo'Сегодня:<br/>';
echo'Девушек: '.$women.'<br/>';
echo'Парней: '.$man.'<br/>';
echo"</fieldset>";
if(!empty($ssylka) && ($img)) echo "<a href=\"http://$ssylka\"><img src=\"http://$img\" alt=\"\" /></a><br/>\n";
echo $wmlfoot;
echo "mod by vipsds</p></card></wml>";
break;

case 'html':
///////////////////////////////////////////////////////
//HTML VERSION
///////////////////////////////////////////////////////
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");
echo $css.'
<title>'.$ttl.'</title>
<div style="text-align: center">';
$chat = file("system/chat.dat");
$logo = trim($chat[0]);
$message = trim($chat[1]);
$chatik = file("system/reklama.dat");
$rekla = trim($chatik[0]);
$nadpis = trim($chatik[1]);
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);

$q = mysql_query("SELECT COUNT(`id`) FROM `chat_users` WHERE `time` >= ".time().";");
$online = mysql_result($q, 0);

$q = mysql_query("SELECT COUNT(`id`) FROM `chat_users`;");
$users = mysql_result($q, 0);
//Today man and women
$qm = mysql_query("SELECT COUNT(`id`) FROM `chat_users` WHERE `regdate` = '".date('d-m-Y')."' AND `sex` = 0;");
$man = mysql_result($qm, 0);
$qw = mysql_query("SELECT COUNT(`id`) FROM `chat_users` WHERE `regdate` = '".date('d-m-Y')."' AND `sex` = 1;");
$women = mysql_result($qw, 0);
//


if(!empty($rekla) && ($nadpis)) echo "<a href=\"http://$rekla\">$nadpis</a><br/>\n";
echo'<div class="d3">';
if(!empty($logo)) echo "<img src=\"/".$logo."\" alt=\"\" />\n";
if(!empty($message)) echo "$message<br/>\n";
echo'</div>
<div class="d1">';

    if($_GET['act']==1)
    {
print '<b>Внимание!</b><br/>
В Вашем браузере выключенна передача Cookies (далее Куки), для пользования данным чатом куки в браузере долны быть включенны!<br/>
Чтоб их включить зайдите в настройку браузера и выбирете пункт личные данные (есле нету такого пункта то данное меню в другом пункте), в этом пункте есть вкл/выкл Cookies.<br/>
<small>Удачного Вам дня!</small><br/>';
     if ($_COOKIE)
     {
     header('Location: /html', true, 301);
     }
    }
    elseif(!$_COOKIE)
    {
    setcookie ('CHAT', 1, time() + 3600 * 12 * 30, '/', '', 0);
    header('Location: /cookies.php?ver=html');
    }

echo "<a href=\"/wml\">wml</a>|html<br/>\n";
echo 'В чате <a href="/kto/html">'.$online.'</a> человек<br/>';
echo "<form action=\"/menu/html/$nocache\" method=\"post\" onsubmit=\"document.forms[0].s.disabled = 'true'; document.forms[0].s.value = 'Loading...';\">\n";
echo "Ник или ID:<br/>\n";
echo "<input type=\"text\" name=\"nickname\" maxlength=\"15\" /><br/>\n";
echo "Транслитировать:\n";
echo "<input type=\"checkbox\" name=\"translit\" value=\"yes\" /><br/>\n";
echo "Пароль:<br/>\n";
echo "<input type=\"password\" name=\"password\" maxlength=\"20\" /><br/>\n";
echo "<input type=\"hidden\" name=\"action\" value=\"auth\" />\n";
echo "<input type=\"submit\" id=\"s\" value=\"Войти\" /></form>\n";
echo "<a href=\"/rules/html\">Правила чата</a><br/>\n";
echo "<a href=\"/rules/html/registration\">Регистрация</a><br/>\n";
echo REG_USERS.": ".$users."<br/>\n";
echo 'Сегодня:<br/>';
echo "<img src=\"/res/icons/woman.gif\" alt=\".\" />\n";
echo 'Девушек: '.$women.'<br/>';
echo "<img src=\"/res/icons/man.gif\" alt=\".\" />\n";
echo 'Парней: '.$man.'<br/>';
list($msec, $sec) = explode(chr(32), microtime());
if(!empty($ssylka) && ($img)) echo "<a href=\"http://$ssylka\"><img src=\"http://$img\" alt=\"\" /></a><br/>\n";




echo"</div><div class=\"d3\">$sitefoot mod by vipsds</div></div></body></html>";

break;
}
?>